/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_STACK_VAR_OFF_SKEL_H__
#define __TEST_STACK_VAR_OFF_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_stack_var_off {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *probe;
	} progs;
	struct {
		struct bpf_link *probe;
	} links;
	struct test_stack_var_off__bss {
		char input[4];
		int test_pid;
		int probe_res;
	} *bss;
};

static void
test_stack_var_off__destroy(struct test_stack_var_off *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_stack_var_off__create_skeleton(struct test_stack_var_off *obj);

static inline struct test_stack_var_off *
test_stack_var_off__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_stack_var_off *obj;

	obj = (struct test_stack_var_off *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_stack_var_off__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_stack_var_off__destroy(obj);
	return NULL;
}

static inline struct test_stack_var_off *
test_stack_var_off__open(void)
{
	return test_stack_var_off__open_opts(NULL);
}

static inline int
test_stack_var_off__load(struct test_stack_var_off *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_stack_var_off *
test_stack_var_off__open_and_load(void)
{
	struct test_stack_var_off *obj;

	obj = test_stack_var_off__open();
	if (!obj)
		return NULL;
	if (test_stack_var_off__load(obj)) {
		test_stack_var_off__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_stack_var_off__attach(struct test_stack_var_off *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_stack_var_off__detach(struct test_stack_var_off *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_stack_var_off__create_skeleton(struct test_stack_var_off *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_stack_var_off";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_sta.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "probe";
	s->progs[0].prog = &obj->progs.probe;
	s->progs[0].link = &obj->links.probe;

	s->data_sz = 5464;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x61\x11\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\x20\0\0\0\x5d\x10\
\x15\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x63\x1a\
\xf0\xff\0\0\0\0\xbf\x12\0\0\0\0\0\0\x57\x02\0\0\x0f\0\0\0\xbf\xa3\0\0\0\0\0\0\
\x07\x03\0\0\xf0\xff\xff\xff\xbf\x34\0\0\0\0\0\0\x0f\x24\0\0\0\0\0\0\xb4\x02\0\
\0\x2a\0\0\0\x73\x24\0\0\0\0\0\0\x04\x01\0\0\xff\xff\xff\xff\x57\x01\0\0\x0f\0\
\0\0\x0f\x13\0\0\0\0\0\0\x71\x31\0\0\0\0\0\0\x64\x01\0\0\x18\0\0\0\xc4\x01\0\0\
\x18\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x70\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x01\
\0\x52\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\
\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\
\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\
\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\
\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x34\0\
\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x08\x0f\0\x49\x13\0\0\x09\x15\0\x49\x13\
\x27\x19\0\0\x0a\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0b\x2e\x01\x11\x01\
\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\
\0\x0c\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0d\x34\0\x02\x18\x03\x0e\x3a\
\x0b\x3b\x0b\x49\x13\0\0\x0e\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\
\x0f\x0f\0\0\0\0\x29\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x45\0\0\0\0\0\
\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\x02\xc5\0\0\0\x3f\0\0\0\x01\x08\x09\
\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xcb\0\0\0\x06\x01\
\x06\xd0\0\0\0\x08\x07\x02\xe4\0\0\0\x3f\0\0\0\x01\x33\x09\x03\0\0\0\0\0\0\0\0\
\x02\xed\0\0\0\x83\0\0\0\x01\x06\x09\x03\0\0\0\0\0\0\0\0\x05\xf7\0\0\0\x05\x04\
\x02\xfb\0\0\0\x83\0\0\0\x01\x09\x09\x03\0\0\0\0\0\0\0\0\x07\x04\x01\0\0\xab\0\
\0\0\x03\x68\x01\x08\xb0\0\0\0\x09\xb5\0\0\0\x0a\xc0\0\0\0\x34\x01\0\0\x02\x1f\
\x05\x1d\x01\0\0\x07\x08\x0b\0\0\0\0\0\0\0\0\xf8\0\0\0\x01\x5a\x3a\x01\0\0\x01\
\x0c\x83\0\0\0\x0c\x4a\x01\0\0\x01\x0c\x24\x01\0\0\x0d\x02\x91\0\x40\x01\0\0\
\x01\x11\x18\x01\0\0\x0e\0\0\0\0\x4e\x01\0\0\x01\x12\x25\x01\0\0\x0e\x23\0\0\0\
\x64\x01\0\0\x01\x13\x25\x01\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x10\0\x0f\x05\
\x52\x01\0\0\x07\x08\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\
\x31\x32\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x32\x2e\
\x30\x2e\x31\x2d\x34\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x36\x2e\
\x30\x2b\x31\x30\x32\x34\x2b\x32\x64\x38\x36\x36\x33\x64\x38\x29\0\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x72\x5f\x6f\
\x66\x66\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x33\x35\x32\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x33\x35\x32\x2e\x65\x6c\x38\x73\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x69\x6e\x70\x75\x74\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x69\
\x6e\x74\0\x74\x65\x73\x74\x5f\x70\x69\x64\0\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\0\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x5f\x5f\x75\x36\x34\0\x70\x72\x6f\x62\x65\0\x73\x74\x61\x63\x6b\x5f\x62\x75\
\x66\0\x63\x74\x78\0\x6c\x65\x6e\0\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x6c\x61\x73\x74\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\xfc\0\0\0\xfc\0\0\0\xc6\x01\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\
\0\0\x01\0\0\x0c\x02\0\0\0\x7e\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x05\0\0\0\x07\0\0\0\x04\0\0\0\x83\x01\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\0\x97\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x9d\x01\0\0\0\0\0\x0e\
\x03\0\0\0\x01\0\0\0\xa6\x01\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xb0\x01\0\0\0\0\
\0\x0e\x06\0\0\0\x01\0\0\0\xb9\x01\0\0\x03\0\0\x0f\0\0\0\0\x08\0\0\0\0\0\0\0\
\x04\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\x0a\0\0\0\0\0\0\0\x04\0\0\0\xbe\x01\0\0\
\x01\0\0\x0f\0\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\
\x70\x72\x6f\x62\x65\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\
\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\
\x6f\x73\x6c\x65\x65\x70\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x33\x35\x32\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x33\x35\x32\x2e\x65\x6c\x38\x73\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\
\x65\x73\x74\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x72\x5f\x6f\x66\x66\x2e\x63\0\
\x09\x69\x66\x20\x28\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\
\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\
\x29\x20\x21\x3d\x20\x74\x65\x73\x74\x5f\x70\x69\x64\x29\0\x09\x5f\x5f\x62\x75\
\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x63\x70\x79\x28\x73\x74\x61\x63\x6b\x5f\
\x62\x75\x66\x2c\x20\x69\x6e\x70\x75\x74\x2c\x20\x34\x29\x3b\0\x09\x6c\x65\x6e\
\x20\x3d\x20\x73\x74\x61\x63\x6b\x5f\x62\x75\x66\x5b\x30\x5d\x20\x26\x20\x30\
\x78\x66\x3b\0\x09\x73\x74\x61\x63\x6b\x5f\x62\x75\x66\x5b\x6c\x65\x6e\x5d\x20\
\x3d\x20\x34\x32\x3b\0\x09\x6c\x61\x73\x74\x20\x3d\x20\x28\x6c\x65\x6e\x20\x2d\
\x20\x31\x29\x20\x26\x20\x30\x78\x66\x3b\0\x09\x70\x72\x6f\x62\x65\x5f\x72\x65\
\x73\x20\x3d\x20\x73\x74\x61\x63\x6b\x5f\x62\x75\x66\x5b\x6c\x61\x73\x74\x5d\
\x3b\0\x7d\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x69\x6e\x70\x75\x74\0\x74\x65\x73\x74\x5f\x70\
\x69\x64\0\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x14\0\0\0\x14\0\0\0\x0c\x01\0\0\x20\x01\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\
\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x0f\0\0\0\x10\0\0\0\0\0\0\0\x37\0\0\0\
\xb7\0\0\0\x07\x54\0\0\x08\0\0\0\x37\0\0\0\xb7\0\0\0\x22\x54\0\0\x10\0\0\0\x37\
\0\0\0\xb7\0\0\0\x2c\x54\0\0\x38\0\0\0\x37\0\0\0\xb7\0\0\0\x06\x54\0\0\x40\0\0\
\0\x37\0\0\0\xec\0\0\0\x02\x64\0\0\x50\0\0\0\x37\0\0\0\x14\x01\0\0\x15\x70\0\0\
\x58\0\0\0\x37\0\0\0\xec\0\0\0\x02\x64\0\0\x60\0\0\0\x37\0\0\0\x14\x01\0\0\x15\
\x70\0\0\x78\0\0\0\x37\0\0\0\xec\0\0\0\x02\x64\0\0\x80\0\0\0\x37\0\0\0\x2f\x01\
\0\0\x02\x88\0\0\x98\0\0\0\x37\0\0\0\x2f\x01\0\0\x11\x88\0\0\xa0\0\0\0\x37\0\0\
\0\x45\x01\0\0\x0e\x74\0\0\xa8\0\0\0\x37\0\0\0\x45\x01\0\0\x13\x74\0\0\xb0\0\0\
\0\x37\0\0\0\x5e\x01\0\0\x0e\xbc\0\0\xd0\0\0\0\x37\0\0\0\x5e\x01\0\0\x0c\xbc\0\
\0\xe8\0\0\0\x37\0\0\0\x7c\x01\0\0\x01\xc4\0\0\0\0\0\0\0\0\0\x0c\0\0\0\xff\xff\
\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\
\0\0\0\0\xdb\0\0\0\x04\0\x80\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\
\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\
\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\
\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\0\x74\x65\x73\x74\x5f\x73\
\x74\x61\x63\x6b\x5f\x76\x61\x72\x5f\x6f\x66\x66\x2e\x63\0\x01\0\0\x69\x6e\x74\
\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\
\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0c\x01\
\x05\x07\x0a\x1a\x05\x22\x06\x20\x05\x2c\x20\x05\x06\x58\x05\x02\x06\x24\x05\
\x15\x31\x05\x02\x1d\x05\x15\x23\x06\x03\x64\x2e\x05\x02\x06\x03\x19\x20\x03\
\x09\x20\x05\x11\x06\x3c\x05\x0e\x06\x1b\x05\x13\x06\x20\x05\x0e\x06\x03\x12\
\x20\x05\x0c\x06\x4a\x05\x01\x06\x3e\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xfe\0\0\0\0\0\x03\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\0\0\0\x11\0\x06\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x22\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\xb6\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\x2d\0\0\
\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbc\0\0\0\x11\0\x05\0\x04\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x40\0\0\0\
\0\0\0\0\x01\0\0\0\x0a\0\0\0\xd0\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x06\0\0\0\0\
\0\0\0\x0a\0\0\0\x05\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x12\0\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x1a\0\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x2b\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x4c\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x5a\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x6f\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x7b\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x84\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x8b\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x97\0\0\0\0\0\0\0\
\x01\0\0\0\x0d\0\0\0\xa0\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xba\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xc1\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xc8\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\xd6\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xe1\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\xef\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xfa\0\0\0\0\0\0\0\
\x0a\0\0\0\x04\0\0\0\xfe\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x09\x01\0\0\0\0\0\0\
\x0a\0\0\0\x04\0\0\0\x0d\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x26\x01\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\xe8\0\0\0\0\0\0\0\0\
\0\0\0\x0d\0\0\0\xf4\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x90\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xb0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xd0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\x14\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x8d\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x0b\x09\0\x2e\x64\x65\x62\x75\
\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\x69\x6e\x70\x75\x74\0\x2e\x62\x73\x73\0\x70\x72\
\x6f\x62\x65\x5f\x72\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\
\x72\x65\x6c\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\
\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\
\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\
\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x70\x72\x6f\
\x62\x65\0\x74\x65\x73\x74\x5f\x70\x69\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\
\x6f\x63\0\x74\x65\x73\x74\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x72\x5f\x6f\x66\
\x66\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\
\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe5\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xd2\x0e\0\0\0\0\0\0\x05\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x46\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf8\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0b\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x15\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x28\0\0\0\x08\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3c\x01\0\0\0\0\0\0\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x82\x01\0\0\0\0\
\0\0\xbf\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\x02\0\0\0\0\0\0\x2d\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0b\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x15\0\
\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x30\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\x03\0\0\0\0\0\0\x69\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xf9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xd7\x04\0\0\0\0\0\0\xda\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf5\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x50\x0d\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x15\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb1\x07\
\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x0d\0\0\0\0\0\0\
\x10\x01\0\0\0\0\0\0\x15\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xa9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x08\0\0\0\0\0\0\x28\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa5\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\
\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x99\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x09\0\0\0\0\0\0\xdf\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xc0\x0e\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x12\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x7e\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\
\0\0\0\0\xd0\x0e\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xed\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\
\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_STACK_VAR_OFF_SKEL_H__ */
